<template>
	<!-- 技工问题 -->
	<view class="page">
		<navbar title="意见反馈" leftClick @leftClick="$utils.navigateBack" />
		<view class="page-two">
			<view class="headline">反馈内容</view>
			<view class="text-field">
				<uv-textarea v-model="form.question" placeholder="请简要描述您的问题和意见，以使我们提供更好的帮助" height="400rpx" maxlength="600"
					count="true" />
			</view>

			<view class="relation">
				<view>如有疑问请联系客服：</view>
				<view style="color: #4280FD;">4008-678-918</view>
			</view>

			<view class="bottom">
				<view class="submit" @click="submit">
					提交
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				form:{
					question: "",
				}
			}
		},
		onShow() {},
		methods: {
			submit(){
				let data = JSON.parse(JSON.stringify(this.form))
				
				if(this.$utils.verificationAll(this.form, {
					question : '请输入你的问题和意见',//问题和意见
				})){
					return
				}
				
		
				
				this.$api('addQuestion', data, res => {
					if(res.code == 200){
						uni.showToast({
							title: "反馈成功",
							icon:'none'
						})
						
						setTimeout(uni.navigateBack, 800, -1)
					}
				})
			}
			

		}
	}
</script>

<style scoped lang="less">
	.page {
		background-color: #fff;
		height: 100vh;

		.page-two {
			width: 90%;
			margin-left: 5%;
		}

		.headline {
			padding: 40rpx 0;
			font-size: 36rpx;
			font-weight: 600;
			color: #333;
		}

		.text-field {
			/deep/ .uv-textarea {
				background-color: #F6F6F6;
			}
		}

		.relation {
			display: flex;
			justify-content: center;
			margin-top: 40rpx;
			padding: 30rpx 0;
			font-size: 24rpx;
			background-color: #F6F6F6;
			border-radius: 8rpx;
		}

		.bottom {
			position: fixed;
			width: 90%;
			bottom: 40rpx;
			display: flex;
			justify-content: center;
			text-align: center;
			.submit {
				width: 90%;
				color: #fff;
				border-radius: 45rpx;
				font-size: 28rpx;
				background-color: #3796F8;
				padding: 25rpx 0;
			}
		}

	}
</style>